syms z t k omega real 
mu0 = 4*pi*1e-7; 
epsilon0 = 8.854*1e-12; 
c = sqrt(1/(mu0*epsilon0)); 
eta0 = sqrt(mu0/epsilon0);  
a_k =[0 0 1];
disp('Electric field intensity in time domain')
E_phasor = 3*exp(-j*k*z)*[1 j 0];
E_time = real(E_phasor*exp(j*omega*t)); 
E_time=simplify(E_time)
E_val = subs(E_time, {k,omega,z,t},{2*pi/3,2*pi*10^8,0,0}); 
E_mag = norm(E_val); 
H_mag = 1/(40*pi);
disp('Intrinsic impedance')
eta = double(E_mag/H_mag) 
murDepsilonr = eta/eta0; 
phase_v = omega/k; 
murMepsilonr = (c/phase_v)^2; 
murMepsilonr = subs(murMepsilonr, {k,omega},{2*pi/3,2*pi*10^8}); 
disp('Relative permeability')
mu_r = double(sqrt(murMepsilonr*murDepsilonr)) 
disp('Relative permittivity')
epsilon_r = double(murMepsilonr/mu_r) 




